Debian Bug report logs - #726698
ITP: puppet-module-puppetlabs-xinetd -- The xinetd module let you manage xinetd with Puppet

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Bechtold <thomasbechtold@jpberlin.de>

Date: Fri, 18 Oct 2013 04:51:01 UTC

Owned by: Thomas Bechtold <thomasbechtold@jpberlin.de>

Severity: wishlist

Fixed in version puppet-module-puppetlabs-xinetd/1.2.0-1

Done: Stig Sandbeck Mathisen <ssm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#726698; Package wnpp. (Fri, 18 Oct 2013 04:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Bechtold <thomasbechtold@jpberlin.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 18 Oct 2013 04:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Bechtold <thomasbechtold@jpberlin.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: puppet-module-puppetlabs-xinetd -- The xinetd module let you manage xinetd with Puppet
Date: Fri, 18 Oct 2013 06:48:32 +0200
Package: wnpp
Severity: wishlist
Owner: Thomas Bechtold <thomasbechtold@jpberlin.de>

* Package name    : puppet-module-puppetlabs-xinetd
  Version         : 1.2.0
  Upstream Author : PuppetLabs 
* URL             : http://forge.puppetlabs.com/puppetlabs/xinetd
* License         : GPL-2.0
  Programming Lang: Ruby
  Description     : The xinetd module let you manage xinetd with Puppet

Puppet lets you centrally manage every important aspect of your system
using a cross-platform specification language that manages all the
separate elements normally aggregated in different files, like users,
cron jobs, and hosts, along with obviously discrete elements like
packages, services, and files.
..
This module includes the ability to configure and manage xinetd.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Thomas Bechtold <thomasbechtold@jpberlin.de>:
Bug#726698; Package wnpp. (Fri, 18 Oct 2013 08:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Dowland <jmtd@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Thomas Bechtold <thomasbechtold@jpberlin.de>. (Fri, 18 Oct 2013 08:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 726698@bugs.debian.org (full text, mbox):

From: Jonathan Dowland <jmtd@debian.org>
To: Thomas Bechtold <thomasbechtold@jpberlin.de>, "726698@bugs.debian.org" <726698@bugs.debian.org>, "debian-devel@lists.debian.org" <debian-devel@lists.debian.org>
Subject: Re: Bug#726698: ITP: puppet-module-puppetlabs-xinetd -- The xinetd module let you manage xinetd with Puppet
Date: Fri, 18 Oct 2013 08:52:20 +0100
It's good to see puppet modules being packaged for Debian.

Is there a team under which such efforts are coordinated? Are they being managed in a vcs?

I'd suggest flipping the order of the two paragraphs in the long description: put the text which describes the module first, and the text which explains puppet second. I'd also suggest a shorter and more impartial puppet description such as 

"Puppet is a declarative configuration management tool for handling heterogeneous collections of hosts"


Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#726698; Package wnpp. (Fri, 18 Oct 2013 09:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Bechtold <thomasbechtold@jpberlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 18 Oct 2013 09:57:05 GMT) Full text and rfc822 format available.

Message #15 received at 726698@bugs.debian.org (full text, mbox):

From: Thomas Bechtold <thomasbechtold@jpberlin.de>
To: Jonathan Dowland <jmtd@debian.org>, 726698@bugs.debian.org
Cc: "debian-devel@lists.debian.org" <debian-devel@lists.debian.org>
Subject: Re: Bug#726698: ITP: puppet-module-puppetlabs-xinetd -- The xinetd module let you manage xinetd with Puppet
Date: Fri, 18 Oct 2013 11:54:55 +0200
Hi Jonathan,

On 10/18/2013 09:52 AM, Jonathan Dowland wrote:
> It's good to see puppet modules being packaged for Debian.
> 
> Is there a team under which such efforts are coordinated? Are they being managed in a vcs?

There's a team on alioth[1] and the packages are all managed in git[2].
Packages from forge.puppetlabs.com can be semi-automatically created
with a python script[3]

> I'd suggest flipping the order of the two paragraphs in the long description: put the text which describes the module first, and the text which explains puppet second. I'd also suggest a shorter and more impartial puppet description such as 
> 
> "Puppet is a declarative configuration management tool for handling heterogeneous collections of hosts"

We currently use the same base description for every puppet package. I'm
open to change this to a shorter description and switch the order.


Cheers,

Tom


[1] https://alioth.debian.org/projects/pkg-puppet/
[2] http://anonscm.debian.org/gitweb/?a=project_list;pf=pkg-puppet
[3]
http://anonscm.debian.org/gitweb/?p=pkg-puppet/meta.git;a=blob_plain;f=bin/puppetmodule2deb;hb=HEAD



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 25 Oct 2013 00:09:05 GMT) Full text and rfc822 format available.

Reply sent to Stig Sandbeck Mathisen <ssm@debian.org>:
You have taken responsibility. (Fri, 29 Nov 2013 16:04:15 GMT) Full text and rfc822 format available.

Notification sent to Thomas Bechtold <thomasbechtold@jpberlin.de>:
Bug acknowledged by developer. (Fri, 29 Nov 2013 16:04:15 GMT) Full text and rfc822 format available.

Message #22 received at 726698-close@bugs.debian.org (full text, mbox):

From: Stig Sandbeck Mathisen <ssm@debian.org>
To: 726698-close@bugs.debian.org
Subject: Bug#726698: fixed in puppet-module-puppetlabs-xinetd 1.2.0-1
Date: Fri, 29 Nov 2013 16:00:21 +0000
Source: puppet-module-puppetlabs-xinetd
Source-Version: 1.2.0-1

We believe that the bug you reported is fixed in the latest version of
puppet-module-puppetlabs-xinetd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 726698@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stig Sandbeck Mathisen <ssm@debian.org> (supplier of updated puppet-module-puppetlabs-xinetd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 24 Oct 2013 13:14:01 +0200
Source: puppet-module-puppetlabs-xinetd
Binary: puppet-module-puppetlabs-xinetd
Architecture: source all
Version: 1.2.0-1
Distribution: unstable
Urgency: low
Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Changed-By: Stig Sandbeck Mathisen <ssm@debian.org>
Description: 
 puppet-module-puppetlabs-xinetd - Puppet module for xinetd
Closes: 726698
Changes: 
 puppet-module-puppetlabs-xinetd (1.2.0-1) unstable; urgency=low
 .
   [ Thomas Bechtold ]
   * Initial release (Closes: #726698)
Checksums-Sha1: 
 fdd032deca0b7a1342673018308834a3ec21b191 1589 puppet-module-puppetlabs-xinetd_1.2.0-1.dsc
 5074411b2e6bd81bf3c71a85098d9dfbbaef827c 5627 puppet-module-puppetlabs-xinetd_1.2.0.orig.tar.gz
 8b640b7743488126d7ee4c6518eac00bdee7f416 2540 puppet-module-puppetlabs-xinetd_1.2.0-1.debian.tar.gz
 116cbfbf5dfa58e41d84172565f5314efdfa56f1 6636 puppet-module-puppetlabs-xinetd_1.2.0-1_all.deb
Checksums-Sha256: 
 64663dec273d06c2ecc13749a3af329f5020b18180076a80c8b5e8e725233306 1589 puppet-module-puppetlabs-xinetd_1.2.0-1.dsc
 afb29c3872ed5135b84f95bb85176a34ac14cbef428c930f41187fa73e56d1d5 5627 puppet-module-puppetlabs-xinetd_1.2.0.orig.tar.gz
 e5c59d2e15ea534f886e76cd5df037d550ffdb4e5267de3c56fb431ce9ef5bf2 2540 puppet-module-puppetlabs-xinetd_1.2.0-1.debian.tar.gz
 e79b22dd6e33263bdeac0129f28c06c1b9a317969d7a7624fa34f37f9d313274 6636 puppet-module-puppetlabs-xinetd_1.2.0-1_all.deb
Files: 
 a4cf43dac92bc49eba75a0ee6fee0ce7 1589 admin optional puppet-module-puppetlabs-xinetd_1.2.0-1.dsc
 6f6e156eb7f140061ccd81dd18fc09d1 5627 admin optional puppet-module-puppetlabs-xinetd_1.2.0.orig.tar.gz
 1cdd39cae3685603a893226e5588a300 2540 admin optional puppet-module-puppetlabs-xinetd_1.2.0-1.debian.tar.gz
 de6a8514d2bd70cbfc97e25812ea6fa8 6636 admin optional puppet-module-puppetlabs-xinetd_1.2.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlJpAT4ACgkQQONU2fom4u602ACgmcW9zvMPgS5GFM5a8hAnRvIP
Tw0Ani7LDdNpFNPz+dzSgs6Wshzb0QPc
=skXx
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Dec 2013 07:44:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:40:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.